//
// This should be used primarily for item, block, recipe, fluid and loot tags removal
// Biome tags should prefer datapacks, or tags_add_remove_worldgen_biome script

ServerEvents.tags("item", (event) => {
  // Purging Item Tags for all things we're hiding in JEI
  global.hideRemoveJEI.forEach((item) => {
    event.removeAllTagsFrom(item);
  });

  event.remove("forge:ingots/steel", "create_dd:steel_ingot");
  event.remove("ad_astra:steel_ingots", "create_dd:steel_ingot");

  event.remove("forge:nuggets/steel", "create_dd:steel_nugget");
  event.remove("ad_astra:steel_nuggets", "create_dd:steel_nugget");

  event.remove("forge:plates/steel", "create_dd:steel_sheet");
  event.remove("ad_astra:steel_plates", "create_dd:steel_sheet");

  event.remove("forge:storage_blocks/steel", "create_dd:steel_block");
  event.remove("ad_astra:steel_blocks", "create_dd:steel_block");

  event.remove("forge:storage_blocks/steel", "ad_astra:steel_block");
  event.remove("ad_astra:steel_blocks", "#forge:storage_blocks/steel");

  event.remove("forge:ingots/steel", "ad_astra:steel_ingot");
  event.remove("ad_astra:steel_ingots", "#forge:ingots/steel");

  event.remove("forge:plates/steel", "ad_astra:steel_plate");
  event.remove("ad_astra:steel_plates", "#forge:plates/steel");

  event.remove("forge:nuggets/steel", "ad_astra:steel_nugget");
  event.remove("ad_astra:steel_nuggets", "#forge:nuggets/steel");

  // Kukulkan Idol Divinity Sacrifices
  event.remove("call_of_yucutan:kukulkan_ressources", [
    "call_of_yucutan:jade",
    "minecraft:emerald",
    "minecraft:diamond",
    "minecraft:lapis_lazuli",
    "minecraft:amethyst_shard",
    "minecraft:prismarine_crystals"
  ]);

  // Ah Puch Idol Divinity Sacrifices
  event.remove("call_of_yucutan:ah_puch_ressources", [
    "minecraft:fermented_spider_eye",
    "minecraft:ghast_tear",
    "minecraft:glistering_melon_slice",
    "minecraft:netherite_scrap",
    "minecraft:glowstone_dust",
    "minecraft:blaze_powder",
    "minecraft:rabbit_foot",
    "minecraft:redstone",
    "minecraft:sugar",
    "minecraft:nether_wart",
    "minecraft:potion"
  ]);



});

ServerEvents.tags("fluid", (event) => {
  event.remove("forge:fuel", "ad_astra:fuel");

  event.remove("ad_astra:fuel", "#forge:fuel");
  event.remove("ad_astra:fuel", "#forge:biofuel");
  event.remove("ad_astra:fuel", "#forge:diesel");
  event.remove("ad_astra:fuel", "#forge:biodiesel");
  event.remove("ad_astra:fuel", "thermal:refined_fuel");
});

ServerEvents.tags("block", (event) => {
  // Purging Block Tags for all things we're hiding in JEI
  global.hideRemoveJEI.forEach((block) => {
    event.removeAllTagsFrom(block);
  });
});
